# e59.fr

Le site officiel du club réseaux disponible à l'adresse https://e59.fr/

```sudo apt-get install php7.4-gd```

# PHP Informations

## Pages

- news/
- about/
- account/
- admin/
- user/

## Code conventions

- PHP Variables format : ```$phpVariable```
- tables columns format  : ```table_column```
- HTML Class format : ```html-class```

## $_SESSION[]

- ```userID```
- ```userName```
- ```userDisplayName```
- ```userLevel```
- ```userAccreditation```

## Global Variables

- ```$rootPageURL```
- ```$rootFilePath```

- ```$sqlDatabaseName```
- ```$sqlDatabaseUser```
- ```$sqldatabasePass```
- ```$sqlDatabaseHost```

- ```$pageTitle```
- ```$headerTitle```
- ```$headerSubtitle```
- ```$footerText```

- ```$confidentialLevels```
- ```$userLevels```
- ```$certificationColors```

- ```$darkThemes```
- ```$lightThemes```

## Global Functions

- ```markdownContent($filePath, $rootFilePath)```

- ```fillHead($rootPageURL, $pageTitle, $darkTheme, $lightTheme)```
- ```fillHeader($rootPageURL, $headerTitle, $headerSubtitle)```
- ```fillNav($rootPageURL)```
- ```fillFooter($footerText)```

- ```sqlConnect($dbHost, $dbName, $dbUser, $dbPass)```

- ```userWidget($userPPURL, $userDisplayName, $userName, $userLevel, $certificationColors)```

- ```listArticles($result, $rootPageURL)```

- ```textInput($type, $shapePath, $name, $placeholder, $value)```

- ```fileInput($name)```

- ```selectInput($name, $label, $options, $defaultValue)```